Subject: Re: [PATCH] gnu: libdjinterop: Update to 0.21.0.

From: Ferran Pujol Camins <[email-masked]>
Date: Sun, 28 Jul 2024 11:56:58 +0200

Awesome!

Thank you very much for the explanation!

Best regards, Ferran.

Missatge de Vinicius Monego <[email-masked]> del dia ds., 27 de jul.
2024 a les 20:06:

> Em sáb, 2024-07-27 às 19:02 +0200, Ferran Pujol Camins escreveu:
>
> [...]
> >
>
> > > QA is likely to break here, so this update should wait for the next
> > > release of Mixxx, which will bump libdjinterop to 0.21.0.
> > >
> >
> >
> > I see. My goal was precisely to have v0.21.0 packaged so I could set
> > a guix shell to develop with mixxx main branch. How is this usually
> > handled?
> >
>
> Given that this is simple version bump that doesn't need significant
> changes, you can spawn a shell with --with-commit=package=version e.g.
>
> guix shell -D mixxx --with-commit=libdjinterop=0.21.0
>
> See "Package Transformation Options" in the manual:
>
> https://guix.gnu.org/manual/en/html_node/Package-Transformation-Options.html
>
> But if you needed more complex changes in the inputs, you could use
> your own packages defined in local files. Create a directory with
> Scheme files containing package definitions and add that directory to
> the GUIX_PACKAGE_PATH environment variable. Let's say you locally
> define 'mylibdjinterop', then you can use a transformation like
>
> guix shell -D mixxx --with-input=libdjinterop=mylibdjinterop
>
> You can find a tutorial for this here:
> https://guix.gnu.org/blog/2018/a-packaging-tutorial-for-guix/
>
> Vinicius
>